summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-03-14 17:45:37 +0100
committerMichał Górny <mgorny@gentoo.org>2020-03-16 08:35:49 +0100
commit0789043be6039284f9cb88d089afb243428d5d1e (patch)
tree543ad11460fc9690fdcd6316812aba4e443290b2 /eclass/python-utils-r1.eclass
parentdistutils-r1.eclass: Align min. setuptools version to current stable (diff)
downloadgentoo-0789043be6039284f9cb88d089afb243428d5d1e.tar.gz
gentoo-0789043be6039284f9cb88d089afb243428d5d1e.tar.bz2
gentoo-0789043be6039284f9cb88d089afb243428d5d1e.zip
python-utils-r1.eclass: Do not create 'python.pc' wrapper
Do not create 'python.pc', only 'python[23].pc'. This seems to match what other distributions are doing. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass5
1 files changed, 2 insertions, 3 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 325964e0e0e8..28314d5135d0 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -978,7 +978,7 @@ python_wrapper_setup() {
# Clean up, in case we were supposed to do a cheap update.
rm -f "${workdir}"/bin/python{,2,3}{,-config} || die
rm -f "${workdir}"/bin/2to3 || die
- rm -f "${workdir}"/pkgconfig/python{,2,3}.pc || die
+ rm -f "${workdir}"/pkgconfig/python{2,3}.pc || die
local EPYTHON PYTHON
python_export "${impl}" EPYTHON PYTHON
@@ -1021,8 +1021,7 @@ python_wrapper_setup() {
# Python 2.7+.
ln -s "${EPREFIX}"/usr/$(get_libdir)/pkgconfig/${EPYTHON/n/n-}.pc \
- "${workdir}"/pkgconfig/python.pc || die
- ln -s python.pc "${workdir}"/pkgconfig/python${pyver}.pc || die
+ "${workdir}"/pkgconfig/python${pyver}.pc || die
else
nonsupp+=( 2to3 python-config "python${pyver}-config" )
fi